#!/bin/bash


ram=`cat /etc/mtab | grep /dev/ram0 | cut -d" " -f1`
if [ "$ram" == "/dev/ram0" ]
then
   cd
   archive_name=$(zenity --title  "Enter a name for this backup: "  --entry --text="archive1, Virtualbox-centos, etc! " --width 200)
        if [ $? -eq 0 ]
        then
        ans=`echo $archive_name`
                if [ $ans -eq  ]
                then
                echo | zenity --info --text="No name provided!"
                exit 0
                else
                touch Ramdisk/control
                tar -czvf ~/Ramdisk_backup/$archive_name.tar.gz Ramdisk | zenity --title="Working..." --progress --pulsate --auto-close --no-cancel --text="Creating backup with name: '$archive_name'"

                echo | zenity --info --text="Backup '$archive_name' has been created !"

                fi
        else
        exit 0
        fi
else
echo | zenity --info --text="Sorry...can not backup!\nFirst mount your partition!"
fi

