#!/bin/bash

ram=`cat /etc/mtab | grep /dev/ram0 | cut -d" " -f1`
if [ "$ram" == "/dev/ram0" ]
then
   cd
   archive_name=$(zenity --title  "Enter backup name: "  --entry --text="archive1, virtualbox-centos, etc" --width 200)

        if [ $? -eq 0 ]
        then
                ans=`echo $archive_name`
                if [ $ans -eq  ]
                then
                echo | zenity --info --text="No name provided!"
                exit 0
                else
                        list=`ls ~/Ramdisk_backup | grep $archive_name | cut -d"." -f1`
                        if [ "$archive_name" == "$list" ]
                        then
                                if [ -f Ramdisk/control ]
                                then
                                zenity --question --text="Delete previous backup?\nThis will free disk space!"
                                        if [[ $? == 0 ]] ; 
                                        then 
                                        rm -rf Ramdisk/* 
                                        sleep 1
                                        tar -xzvf ~/Ramdisk_backup/$archive_name.tar.gz | zenity --title="Working..." --progress --pulsate --auto-close --no-cancel --text="Restoring archive with name: '$archive_name'";

                                        echo | zenity --info --text="Backup '$archive_name' has been restored with success !"
                                        else
                                        tar -xzvf ~/Ramdisk_backup/$archive_name.tar.gz | zenity --title="Working..." --progress --pulsate --auto-close --no-cancel --text="Restoring archive with name: '$archive_name'";
   
                                        echo | zenity --info --text="Backup '$archive_name' has been restored with success !"  
                                        fi
                                else 
                                tar -xzvf ~/Ramdisk_backup/$archive_name.tar.gz | zenity --title="Working..." --progress --pulsate --auto-close --no-cancel --text="Restoring archive with name: '$archive_name'"

                                echo | zenity --info --text="Backup '$archive_name' has been restored with success !"
                                fi
                        else
                        echo | zenity --info --text="Archive '$archive_name' does not exists!"
                        fi
                fi
        else
        exit 0
        fi
else
echo | zenity --info --text="Sorry...can not restore your backup!\nFirst mount your partition!"
fi





