# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# This file is in the public domain
### END LICENSE
import os, sys
import subprocess
import locale
from locale import gettext as _
locale.bindtextdomain('ramdisk', '/opt/extras.ubuntu.com/ramdisk/share/locale')
locale.textdomain('ramdisk')

import logging
logger = logging.getLogger('ramdisk')

from ramdisk_lib.AboutDialog import AboutDialog

# See ramdisk_lib.AboutDialog.py for more details about how this class works.
class AboutRamdiskDialog(AboutDialog):
    __gtype_name__ = "AboutRamdiskDialog"
    
    def finish_initializing(self, builder): # pylint: disable=E1002
        """Set up the about dialog"""
        super(AboutRamdiskDialog, self).finish_initializing(builder)

        # Code for other initialization actions should be added here.

    def on_grub_clicked(self, widget):
      	os.system('exec gksudo gedit /boot/grub/grub.cfg &')  
     
     
    def on_burg_clicked(self, widget):
      	os.system('exec gksudo gedit /boot/burg/burg.cfg &')  

    def on_loadlin_clicked(self, widget):
      	os.system('xterm -e sudo apt-get install loadlin; exit 0')  
